> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all special offers

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/special_offers/

Return Special Offer details

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/special-offers/get-all-special-offers

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry

## Response

### 200

Successful operation

- `id` (string, required)
- `title` (string, optional, nullable)
- `file` (string, optional, nullable)
- `fileUrl` (string, optional, nullable)
- `url` (string, optional, nullable)
- `order` (integer, optional)

## Errors

### 404 Not Found Error

- `map from string to any`

## Examples

**Response**

```json
{
  "0": {
    "file": null,
    "fileUrl": null,
    "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
    "order": 0,
    "title": "Entry Special Offer",
    "url": "https://partner.domain.com/special-offer.pdf"
  },
  "1": {
    "file": "https://image.domain.com/partner.png",
    "fileUrl": "https://image.domain.com/partner.png",
    "id": "f696770b-1fd5-474b-8ceb-20aba300fcf3",
    "order": 1,
    "title": "Other Entry Special Offer",
    "url": null
  },
  "id": "string"
}
```

**SDK Code**

```python application/json example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/special_offers/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript application/json example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/special_offers/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```